/*------------------------------------------------------------------------
    File        : customer_netgui_wrapper.p
    Purpose     : Simple pass-through for calls from .P to .CLS 
    Author(s)   : pjudge
    Created     : Fri May 13 16:02:25 EDT 2011
    Notes       :
  ----------------------------------------------------------------------*/
routine-level on error undo, throw.

/* ***************************  Definitions  ************************** */
define variable moCustomerForm as customer_net_gui no-undo.

/* ***************************  Main Block  *************************** */
moCustomerForm = new customer_net_gui().

/* ***************************  Stuff called by EventHandler  *************************** */
procedure Destroy:
    moCustomerForm:Destroy().
    moCustomerForm = ?.
end procedure.

procedure Initialise:
    moCustomerForm:Initialise().
end procedure.

procedure BeginWaitFor:
    define input parameter pcShowMode as character no-undo.
    
    moCustomerForm:BeginWaitFor(pcShowMode).
end procedure.

procedure EndWaitFor:
    moCustomerForm:EndWaitFor().
end procedure.

procedure ShowUI:
    moCustomerForm:ShowUI().
end procedure.

procedure HideUI:
    moCustomerForm:HideUI().
end procedure.

procedure SetEventHandler:
    define input  parameter phEventHandler as handle no-undo.
    
    moCustomerForm:SetEventHandler(phEventHandler).
end procedure.

procedure SetNavPanelState:
    define input  parameter plEnabled as logical extent no-undo.
    
    moCustomerForm:SetNavPanelState(plEnabled).
end procedure.

procedure ShowRecord:
    moCustomerForm:ShowRecord().
end procedure.

procedure GetScreenValue:
    define input  parameter pcFieldName as character extent no-undo.
    define output parameter pcFieldValue as character extent no-undo.
    
    pcFieldValue = moCustomerForm:GetScreenValue(pcFieldName).
end procedure.