/*------------------------------------------------------------------------
    File        : IUserInterface
    Purpose     : 
    Syntax      : 
    Description : 
    Author(s)   : pjudge
    Created     : Wed May 25 16:18:51 EDT 2011
    Notes       : 
  ----------------------------------------------------------------------*/

interface IUserInterface:  

    define public property EventHandler as IEventHandler no-undo get. set.

    method public void Initialise().
    method public void Destroy().
    
    method public void BeginWaitFor(input pcShowMode as character).
    method public void EndWaitFor().
    
    method public void ShowUI().
    method public void HideUI().
    
    method public void SetNavPanelState(input plEnabled as logical extent).
    method public void ShowRecord().
    method public character extent GetScreenValue(input pcFieldName as character extent).
    
end interface.