/*------------------------------------------------------------------------
    File        : customer_net_gui
    Purpose     : 
    Syntax      : 
    Description : 
    Author(s)   : pjudge
    Created     : Tue Jun 07 21:07:52 EDT 2011
    Notes       : 
  ----------------------------------------------------------------------*/

using Progress.Lang.*.
using Progress.Windows.Form.

routine-level on error undo, throw.

class customer_net_gui inherits Form: 


    define private variable ContentPanel as System.Windows.Forms.ToolStripContentPanel no-undo.
    define private variable BottomToolStripPanel as System.Windows.Forms.ToolStripPanel no-undo.
    define private variable lblCreditLimit as System.Windows.Forms.Label no-undo.
    define private variable lblBalance as System.Windows.Forms.Label no-undo.
    define private variable lblNavPanel as System.Windows.Forms.ToolStripLabel no-undo.
    define private variable lblUpdatePanel as System.Windows.Forms.ToolStripLabel no-undo.
    define private variable LeftToolStripPanel as System.Windows.Forms.ToolStripPanel no-undo.
    define variable mhEventHandler as handle no-undo.
    define variable mcShowMode as character no-undo.
    
    define private variable components as System.ComponentModel.IContainer no-undo.
    define private variable lblAddress as System.Windows.Forms.Label no-undo.
    define private variable lblCustNum as System.Windows.Forms.Label no-undo.
    define private variable panel2 as System.Windows.Forms.Panel no-undo.
    define private variable RightToolStripPanel as System.Windows.Forms.ToolStripPanel no-undo.
    define private variable toolStrip1 as System.Windows.Forms.ToolStrip no-undo.
    define private variable toolStripSeparator1 as System.Windows.Forms.ToolStripSeparator no-undo.
    define private variable TopToolStripPanel as System.Windows.Forms.ToolStripPanel no-undo.
    define private variable uxAddButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxCreditLimit as System.Windows.Forms.TextBox no-undo.
    define private variable uxBalance as System.Windows.Forms.TextBox no-undo.
    define private variable uxCustNum as System.Windows.Forms.TextBox no-undo.
    define private variable uxAddress as System.Windows.Forms.TextBox no-undo.
    define private variable uxDeleteButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxPrevButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxNextButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxLastButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxFirstButton as System.Windows.Forms.ToolStripButton no-undo.
    define private variable uxSaveButton as System.Windows.Forms.ToolStripButton no-undo.
		
	constructor public customer_net_gui (  ):
		
		
        super().
        InitializeComponent().
        catch e as Progress.Lang.Error:
            undo, throw e.
        end catch.

	end constructor.


    method private void InitializeComponent(  ):
        
        /* NOTE: The following method is automatically generated.
        
        We strongly suggest that the contents of this method only be modified using the
        Visual Designer to avoid any incompatible modifications.
        
        Modifying the contents of this method using a code editor will invalidate any support for this file. */
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable resources as Progress.Util.ResourceManager no-undo.
        resources = new Progress.Util.ResourceManager("customer_net_gui").
        this-object:BottomToolStripPanel = new System.Windows.Forms.ToolStripPanel().
        this-object:TopToolStripPanel = new System.Windows.Forms.ToolStripPanel().
        this-object:toolStrip1 = new System.Windows.Forms.ToolStrip().
        this-object:lblNavPanel = new System.Windows.Forms.ToolStripLabel().
        this-object:uxFirstButton = new System.Windows.Forms.ToolStripButton().
        this-object:uxPrevButton = new System.Windows.Forms.ToolStripButton().
        this-object:uxNextButton = new System.Windows.Forms.ToolStripButton().
        this-object:uxLastButton = new System.Windows.Forms.ToolStripButton().
        this-object:toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator().
        this-object:lblUpdatePanel = new System.Windows.Forms.ToolStripLabel().
        this-object:uxAddButton = new System.Windows.Forms.ToolStripButton().
        this-object:uxSaveButton = new System.Windows.Forms.ToolStripButton().
        this-object:uxDeleteButton = new System.Windows.Forms.ToolStripButton().
        this-object:RightToolStripPanel = new System.Windows.Forms.ToolStripPanel().
        this-object:LeftToolStripPanel = new System.Windows.Forms.ToolStripPanel().
        this-object:ContentPanel = new System.Windows.Forms.ToolStripContentPanel().
        this-object:panel2 = new System.Windows.Forms.Panel().
        this-object:lblBalance = new System.Windows.Forms.Label().
        this-object:uxBalance = new System.Windows.Forms.TextBox().
        this-object:lblCreditLimit = new System.Windows.Forms.Label().
        this-object:uxCreditLimit = new System.Windows.Forms.TextBox().
        this-object:lblAddress = new System.Windows.Forms.Label().
        this-object:lblCustNum = new System.Windows.Forms.Label().
        this-object:uxAddress = new System.Windows.Forms.TextBox().
        this-object:uxCustNum = new System.Windows.Forms.TextBox().
        this-object:toolStrip1:SuspendLayout().
        this-object:panel2:SuspendLayout().
        this-object:SuspendLayout().
        /*  */
        /* BottomToolStripPanel */
        /*  */
        this-object:BottomToolStripPanel:Location = new System.Drawing.Point(0, 0).
        this-object:BottomToolStripPanel:Name = "BottomToolStripPanel".
        this-object:BottomToolStripPanel:Orientation = System.Windows.Forms.Orientation:Horizontal.
        this-object:BottomToolStripPanel:RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0).
        this-object:BottomToolStripPanel:Size = new System.Drawing.Size(0, 0).
        /*  */
        /* TopToolStripPanel */
        /*  */
        this-object:TopToolStripPanel:Location = new System.Drawing.Point(0, 0).
        this-object:TopToolStripPanel:Name = "TopToolStripPanel".
        this-object:TopToolStripPanel:Orientation = System.Windows.Forms.Orientation:Horizontal.
        this-object:TopToolStripPanel:RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0).
        this-object:TopToolStripPanel:Size = new System.Drawing.Size(0, 0).
        /*  */
        /* toolStrip1 */
        /*  */
        this-object:toolStrip1:GripStyle = System.Windows.Forms.ToolStripGripStyle:Hidden.
        @VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
        define variable arrayvar0 as System.Windows.Forms.ToolStripItem extent 10 no-undo.
        arrayvar0[1] = this-object:lblNavPanel.
        arrayvar0[2] = this-object:uxFirstButton.
        arrayvar0[3] = this-object:uxPrevButton.
        arrayvar0[4] = this-object:uxNextButton.
        arrayvar0[5] = this-object:uxLastButton.
        arrayvar0[6] = this-object:toolStripSeparator1.
        arrayvar0[7] = this-object:lblUpdatePanel.
        arrayvar0[8] = this-object:uxAddButton.
        arrayvar0[9] = this-object:uxSaveButton.
        arrayvar0[10] = this-object:uxDeleteButton.
        this-object:toolStrip1:Items:AddRange(arrayvar0).
        this-object:toolStrip1:Location = new System.Drawing.Point(0, 0).
        this-object:toolStrip1:Name = "toolStrip1".
        this-object:toolStrip1:Size = new System.Drawing.Size(527, 40).
        this-object:toolStrip1:TabIndex = 8.
        this-object:toolStrip1:Text = "toolStrip1".
        /*  */
        /* lblNavPanel */
        /*  */
        this-object:lblNavPanel:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblNavPanel:Name = "lblNavPanel".
        this-object:lblNavPanel:Size = new System.Drawing.Size(148, 37).
        this-object:lblNavPanel:Tag = "NavPanel".
        this-object:lblNavPanel:Text = "Navigation".
        /*  */
        /* uxFirstButton */
        /*  */
        this-object:uxFirstButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxFirstButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxFirstButton:Image = cast(resources:GetObject("uxFirstButton.Image"), System.Drawing.Image).
        this-object:uxFirstButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxFirstButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxFirstButton:Name = "uxFirstButton".
        this-object:uxFirstButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxFirstButton:Text = "First".
        this-object:uxFirstButton:Click:Subscribe(this-object:uxFirstButton_Click).
        /*  */
        /* uxPrevButton */
        /*  */
        this-object:uxPrevButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxPrevButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxPrevButton:Image = cast(resources:GetObject("uxPrevButton.Image"), System.Drawing.Image).
        this-object:uxPrevButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxPrevButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxPrevButton:Name = "uxPrevButton".
        this-object:uxPrevButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxPrevButton:Text = "Previous".
        this-object:uxPrevButton:Click:Subscribe(this-object:uxPrevButton_Click).
        /*  */
        /* uxNextButton */
        /*  */
        this-object:uxNextButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxNextButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxNextButton:Image = cast(resources:GetObject("uxNextButton.Image"), System.Drawing.Image).
        this-object:uxNextButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxNextButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxNextButton:Name = "uxNextButton".
        this-object:uxNextButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxNextButton:Text = "Next".
        this-object:uxNextButton:Click:Subscribe(this-object:uxNextButton_Click).
        /*  */
        /* uxLastButton */
        /*  */
        this-object:uxLastButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxLastButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxLastButton:Image = cast(resources:GetObject("uxLastButton.Image"), System.Drawing.Image).
        this-object:uxLastButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxLastButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxLastButton:Name = "uxLastButton".
        this-object:uxLastButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxLastButton:Text = "Last".
        this-object:uxLastButton:Click:Subscribe(this-object:uxLastButton_Click).
        /*  */
        /* toolStripSeparator1 */
        /*  */
        this-object:toolStripSeparator1:Name = "toolStripSeparator1".
        this-object:toolStripSeparator1:Size = new System.Drawing.Size(6, 40).
        /*  */
        /* lblUpdatePanel */
        /*  */
        this-object:lblUpdatePanel:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblUpdatePanel:Name = "lblUpdatePanel".
        this-object:lblUpdatePanel:Size = new System.Drawing.Size(105, 37).
        this-object:lblUpdatePanel:Text = "Update".
        /*  */
        /* uxAddButton */
        /*  */
        this-object:uxAddButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxAddButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxAddButton:Image = cast(resources:GetObject("uxAddButton.Image"), System.Drawing.Image).
        this-object:uxAddButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxAddButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxAddButton:Name = "uxAddButton".
        this-object:uxAddButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxAddButton:Text = "Add".
        /*  */
        /* uxSaveButton */
        /*  */
        this-object:uxSaveButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxSaveButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxSaveButton:Image = cast(resources:GetObject("uxSaveButton.Image"), System.Drawing.Image).
        this-object:uxSaveButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxSaveButton:ImageTransparentColor = System.Drawing.Color:Maroon.
        this-object:uxSaveButton:Name = "uxSaveButton".
        this-object:uxSaveButton:Size = new System.Drawing.Size(36, 37).
        this-object:uxSaveButton:Text = "toolStripButton2".
        /*  */
        /* uxDeleteButton */
        /*  */
        this-object:uxDeleteButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
        this-object:uxDeleteButton:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxDeleteButton:Image = cast(resources:GetObject("uxDeleteButton.Image"), System.Drawing.Image).
        this-object:uxDeleteButton:ImageScaling = System.Windows.Forms.ToolStripItemImageScaling:None.
        this-object:uxDeleteButton:ImageTransparentColor = System.Drawing.Color:Magenta.
        this-object:uxDeleteButton:Name = "uxDeleteButton".
        this-object:uxDeleteButton:Size = new System.Drawing.Size(36, 36).
        this-object:uxDeleteButton:Text = "Delete".
        /*  */
        /* RightToolStripPanel */
        /*  */
        this-object:RightToolStripPanel:Location = new System.Drawing.Point(0, 0).
        this-object:RightToolStripPanel:Name = "RightToolStripPanel".
        this-object:RightToolStripPanel:Orientation = System.Windows.Forms.Orientation:Horizontal.
        this-object:RightToolStripPanel:RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0).
        this-object:RightToolStripPanel:Size = new System.Drawing.Size(0, 0).
        /*  */
        /* LeftToolStripPanel */
        /*  */
        this-object:LeftToolStripPanel:Location = new System.Drawing.Point(0, 0).
        this-object:LeftToolStripPanel:Name = "LeftToolStripPanel".
        this-object:LeftToolStripPanel:Orientation = System.Windows.Forms.Orientation:Horizontal.
        this-object:LeftToolStripPanel:RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0).
        this-object:LeftToolStripPanel:Size = new System.Drawing.Size(0, 0).
        /*  */
        /* ContentPanel */
        /*  */
        this-object:ContentPanel:AutoScroll = true.
        this-object:ContentPanel:Size = new System.Drawing.Size(652, 481).
        /*  */
        /* panel2 */
        /*  */
        this-object:panel2:Controls:Add(this-object:lblBalance).
        this-object:panel2:Controls:Add(this-object:uxBalance).
        this-object:panel2:Controls:Add(this-object:lblCreditLimit).
        this-object:panel2:Controls:Add(this-object:uxCreditLimit).
        this-object:panel2:Controls:Add(this-object:lblAddress).
        this-object:panel2:Controls:Add(this-object:lblCustNum).
        this-object:panel2:Controls:Add(this-object:uxAddress).
        this-object:panel2:Controls:Add(this-object:uxCustNum).
        this-object:panel2:Dock = System.Windows.Forms.DockStyle:Fill.
        this-object:panel2:Location = new System.Drawing.Point(0, 40).
        this-object:panel2:Name = "panel2".
        this-object:panel2:Size = new System.Drawing.Size(527, 273).
        this-object:panel2:TabIndex = 1.
        /*  */
        /* lblBalance */
        /*  */
        this-object:lblBalance:AutoSize = true.
        this-object:lblBalance:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblBalance:Location = new System.Drawing.Point(79, 119).
        this-object:lblBalance:Name = "lblBalance".
        this-object:lblBalance:Size = new System.Drawing.Size(104, 43).
        this-object:lblBalance:TabIndex = 7.
        this-object:lblBalance:Text = "Balance".
        this-object:lblBalance:UseCompatibleTextRendering = true.
        /*  */
        /* uxBalance */
        /*  */
        this-object:uxBalance:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxBalance:Location = new System.Drawing.Point(193, 116).
        this-object:uxBalance:Name = "uxBalance".
        this-object:uxBalance:Size = new System.Drawing.Size(100, 43).
        this-object:uxBalance:TabIndex = 6.
        /*  */
        /* lblCreditLimit */
        /*  */
        this-object:lblCreditLimit:AutoSize = true.
        this-object:lblCreditLimit:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblCreditLimit:Location = new System.Drawing.Point(30, 74).
        this-object:lblCreditLimit:Name = "lblCreditLimit".
        this-object:lblCreditLimit:Size = new System.Drawing.Size(151, 43).
        this-object:lblCreditLimit:TabIndex = 5.
        this-object:lblCreditLimit:Text = "Credit Limit".
        this-object:lblCreditLimit:UseCompatibleTextRendering = true.
        /*  */
        /* uxCreditLimit */
        /*  */
        this-object:uxCreditLimit:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxCreditLimit:Location = new System.Drawing.Point(193, 71).
        this-object:uxCreditLimit:Name = "uxCreditLimit".
        this-object:uxCreditLimit:Size = new System.Drawing.Size(100, 43).
        this-object:uxCreditLimit:TabIndex = 4.
        /*  */
        /* lblAddress */
        /*  */
        this-object:lblAddress:AutoSize = true.
        this-object:lblAddress:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblAddress:Location = new System.Drawing.Point(76, 164).
        this-object:lblAddress:Name = "lblAddress".
        this-object:lblAddress:Size = new System.Drawing.Size(108, 43).
        this-object:lblAddress:TabIndex = 3.
        this-object:lblAddress:Text = "Address".
        this-object:lblAddress:UseCompatibleTextRendering = true.
        /*  */
        /* lblCustNum */
        /*  */
        this-object:lblCustNum:AutoSize = true.
        this-object:lblCustNum:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:lblCustNum:Location = new System.Drawing.Point(55, 30).
        this-object:lblCustNum:Name = "lblCustNum".
        this-object:lblCustNum:Size = new System.Drawing.Size(132, 43).
        this-object:lblCustNum:TabIndex = 2.
        this-object:lblCustNum:Text = "Cust Num".
        this-object:lblCustNum:UseCompatibleTextRendering = true.
        /*  */
        /* uxAddress */
        /*  */
        this-object:uxAddress:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxAddress:Location = new System.Drawing.Point(193, 161).
        this-object:uxAddress:Multiline = true.
        this-object:uxAddress:Name = "uxAddress".
        this-object:uxAddress:Size = new System.Drawing.Size(266, 98).
        this-object:uxAddress:TabIndex = 1.
        /*  */
        /* uxCustNum */
        /*  */
        this-object:uxCustNum:Font = new System.Drawing.Font("Segoe UI", 20.25, System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:uxCustNum:Location = new System.Drawing.Point(193, 27).
        this-object:uxCustNum:Name = "uxCustNum".
        this-object:uxCustNum:Size = new System.Drawing.Size(100, 43).
        this-object:uxCustNum:TabIndex = 0.
        /*  */
        /* customer_net_gui */
        /*  */
        this-object:ClientSize = new System.Drawing.Size(527, 313).
        this-object:Controls:Add(this-object:panel2).
        this-object:Controls:Add(this-object:toolStrip1).
        this-object:MinimumSize = new System.Drawing.Size(543, 351).
        this-object:Name = "customer_net_gui".
        this-object:Text = "customer_net_gui".
        this-object:FormClosing:Subscribe(this-object:customer_net_gui_FormClosing).
        this-object:toolStrip1:ResumeLayout(false).
        this-object:toolStrip1:PerformLayout().
        this-object:panel2:ResumeLayout(false).
        this-object:panel2:PerformLayout().
        this-object:ResumeLayout(false).
        this-object:PerformLayout().
        catch e as Progress.Lang.Error:
            undo, throw e.
        end catch.
    end method.
    
	destructor public customer_net_gui ( ):
		if valid-object(components) then do:
			cast(components, System.IDisposable):Dispose().
		end.
	end destructor.

    /*------------------------------------------------------------------------------
            Purpose:                                                                      
            Notes:                                                                        
    ------------------------------------------------------------------------------*/
    @VisualDesigner.
    method private void customer_net_gui_FormClosing( input sender as System.Object, input e as System.Windows.Forms.FormClosingEventArgs ):
        e:Cancel = true.
        
        run EndWaitFor in mhEventHandler.
    end method.
    
    /* ***************************  Stuff called by EventHandler  *************************** */
    method public void Destroy():
        EndWaitFor().
    end method.
    
    method public void Initialise():
        assign this-object:Visible = false
               uxAddButton:Enabled = false
               uxSaveButton:Enabled = false
               uxDeleteButton:Enabled = false
               .
    end method.
    
    method public void BeginWaitFor (input pcShowMode as character):
        mcShowMode = pcShowMode.
        
        case pcShowMode:
            when 'MODAL' then
                wait-for this-object:ShowDialog().
            when 'NON-MODAL' then
                wait-for System.Windows.Forms.Application:Run().
        end case. 
    end method.
    
    method public void EndWaitFor():
        this-object:Dispose().
        this-object:Close().
        
        if mcShowMode eq 'NON-MODAL' then
            System.Windows.Forms.Application:Exit().
    end method.

    method public void ShowUI():
        this-object:Show().
    end method.
    
    method public void HideUI():
        this-object:Hide().
    end method.
    
    method public void SetEventHandler (input phEventHandler as handle):
        mhEventHandler = phEventHandler.
    end method.
    
    method public void SetNavPanelState (input plEnabled as logical extent 4):
        assign uxFirstButton:Enabled = plEnabled[1]
               uxPrevButton:Enabled = plEnabled[2]
               uxNextButton:Enabled = plEnabled[3]
               uxLastButton:Enabled = plEnabled[4]
               .
    end method.

    method public void ShowRecord():
        define variable cField as character extent 4 no-undo.
        define variable cvalue as character extent no-undo.
        
        assign cField[1] = 'CustNum'
               cField[2] = 'FullAddress'
               cField[3] = 'CreditLimit'
               cField[4] = 'Balance'.
        
        run GetDataValue in mhEventHandler (
            'customer',
            cField,
            output cvalue).
            
        uxCustNum:Text = cvalue[1].
        uxAddress:Text = cvalue[2].
        uxCreditLimit:Text = cvalue[3].
        uxBalance:Text = cvalue[4].
    end method.
    
    method public character extent GetScreenValue (input pcFieldName as character extent):
        define variable cFieldValue as character extent no-undo.    
        define variable iLoop as integer no-undo.
        define variable iMax as integer no-undo.
        
        iMax = extent(pcFieldName).
        extent(cFieldValue) = iMax.
        do iLoop = 1 to iMax:
            case pcFieldName[iLoop]:
                when 'CustNum' then cFieldValue[iLoop] = uxCustNum:Text.
                when 'FullAddress' then cFieldValue[iLoop] = uxAddress:Text.
                when 'CreditLimit' then cFieldValue[iLoop] = uxCreditLimit:Text.
                when 'Balance' then cFieldValue[iLoop] = uxBalance:Text.
            end case.            
        end.
        
        return cFieldValue.
    end method.
    
    method public logical GetRecord (input pcPosition as character):
        case pcPosition:
            when 'first' then run GetFirst in mhEventHandler ('customer').
            when 'prev' then run GetPrev in mhEventHandler ('customer').
            when 'next' then run GetNext in mhEventHandler ('customer').
            when 'last' then run GetLast in mhEventHandler ('customer').
        end case.
    end method.

    method private void uxFirstButton_Click( input sender as System.Object, input e as System.EventArgs ):
        GetRecord('first').
        
        return.
    end method.

    method private void uxLastButton_Click( input sender as System.Object, input e as System.EventArgs ):
        GetRecord('last').
        
        return.
    end method.

    method private void uxNextButton_Click( input sender as System.Object, input e as System.EventArgs ):
        GetRecord('next').
        
        return.
    end method.

    method private void uxPrevButton_Click( input sender as System.Object, input e as System.EventArgs ):
        GetRecord('prev').
        
        return.
    end method.


end class.