/*------------------------------------------------------------------------
    File        : IEventHandler
    Purpose     : 
    Author(s)   : pjudge
    Created     : Wed May 25 16:20:46 EDT 2011
    Notes       : 
  ----------------------------------------------------------------------*/
interface IEventHandler:
    
    define public property UIName as character no-undo get. set.

    method public void BeginWaitFor(input pcShowMode as character).
    method public void EndWaitFor().
    
    method public void ShowUI().
    method public void HideUI().

    method public void Initialise().
    method public void Destroy().
    
    method public void GetFirst(input pcClientDataName as character).
    method public void GetPrev (input pcClientDataName as character).
    method public void GetNext (input pcClientDataName as character).
    method public void GetLast (input pcClientDataName as character).
    
    method public void RepositionQuery(input pcClientDataName as character,
                                       input pcFieldName as character,
                                       input pcValue as character).
  
    method public character extent GetDataValue(input pcClientDataName as character,
                                                input pcFieldName as character extent).
                                                
end interface.